Page MenuHomePhabricator

Bring SVGO-based automated optimization to all products
Closed, ResolvedPublic

Description

We've been overhauling SVG markup in T178867 with both SVGO and manual code optimizations that are accomplished.

Furthermore we've brought SVGO build optimization for continuous improvement to

  • OOUI and
  • Style Guide.

Let's bring it to further active projects:

Details

Related Gerrit Patches:
mediawiki/extensions/Popups : masterFix: viewBox in cog.svg and sad-face.svg
mediawiki/extensions/Popups : masterbuild: Bring SVGO optimization to build step
mediawiki/extensions/Echo : masterbuild: Extend 'svgmin' options and move to 'minify' task
mediawiki/extensions/UniversalLanguageSelector : masterbuild: Bring SVGO optimization to build step
oojs/ui : masterbuild: Amend 'grunt-svgmin' options and re-crush SVGs
mediawiki/extensions/CentralNotice : masterbuild: Bring SVGO optimization to build step
mediawiki/extensions/Kartographer : masterbuild: Extend 'svgmin' options and amend
mediawiki/extensions/TwoColConflict : masterbuild: Extend 'svgmin' options and move to 'minify' task
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (1d341ca7d)
VisualEditor/VisualEditor : masterbuild: Extend 'svgmin' options and amend
mediawiki/extensions/TwoColConflict : masterbuild: Bring SVGO optimization to build step
mediawiki/extensions/Echo : masterbuild: Bring SVGO optimization to build step
mediawiki/extensions/GuidedTour : masterbuild: Bring SVGO optimization to build step
mediawiki/extensions/Cite : masterbuild: Bring SVGO optimization to build step
mediawiki/extensions/Kartographer : masterbuild: Bring SVGO optimization to build step
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (c39a4a69b)
mediawiki/extensions/VisualEditor : masterbuild: Use SVGO option of 'grunt-image'
VisualEditor/VisualEditor : masterbuild: Bring SVGO optimization to 'ci' step
mediawiki/extensions/MultimediaViewer : masterBring SVGO optimization to build step

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Volker_E triaged this task as Medium priority.Jan 23 2018, 7:39 PM

Change 405935 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/MultimediaViewer@master] Bring SVGO optimization to build step

https://gerrit.wikimedia.org/r/405935

Change 405935 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@master] Bring SVGO optimization to build step

https://gerrit.wikimedia.org/r/405935

Volker_E updated the task description. (Show Details)Jan 30 2018, 5:00 PM

Change 407184 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/VisualEditor@master] build: Use SVGO option of 'grunt-image'

https://gerrit.wikimedia.org/r/407184

Change 407189 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[VisualEditor/VisualEditor@master] build: Bring SVGO optimization to build step

https://gerrit.wikimedia.org/r/407189

Volker_E updated the task description. (Show Details)Feb 1 2018, 4:51 AM
Volker_E added a subscriber: Jdforrester-WMF.

Change 407885 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Echo@master] build: Bring SVGO optimization to build step

https://gerrit.wikimedia.org/r/407885

Change 407189 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] build: Bring SVGO optimization to 'ci' step

https://gerrit.wikimedia.org/r/407189

Change 407184 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] build: Use SVGO option of 'grunt-image'

https://gerrit.wikimedia.org/r/407184

Volker_E updated the task description. (Show Details)Feb 8 2018, 6:28 PM

Change 409488 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/GuidedTour@master] build: Bring SVGO optimization to build step

https://gerrit.wikimedia.org/r/409488

Volker_E updated the task description. (Show Details)Feb 10 2018, 7:18 AM

Change 409632 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (c39a4a69b)

https://gerrit.wikimedia.org/r/409632

Change 409957 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Cite@master] build: Bring SVGO optimization to build step

https://gerrit.wikimedia.org/r/409957

Change 409632 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (c39a4a69b)

https://gerrit.wikimedia.org/r/409632

Change 409976 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/CentralNotice@master] build: Bring SVGO optimization to build step

https://gerrit.wikimedia.org/r/409976

Change 409987 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Kartographer@master] build: Bring SVGO optimization to build step

https://gerrit.wikimedia.org/r/409987

Change 409987 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] build: Bring SVGO optimization to build step

https://gerrit.wikimedia.org/r/409987

Change 410019 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Popups@master] build: Bring SVGO optimization to build step

https://gerrit.wikimedia.org/r/410019

Change 410021 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/TwoColConflict@master] build: Bring SVGO optimization to build step

https://gerrit.wikimedia.org/r/410021

Change 410026 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/UniversalLanguageSelector@master] build: Bring SVGO optimization to build step

https://gerrit.wikimedia.org/r/410026

Volker_E updated the task description. (Show Details)Feb 12 2018, 8:15 PM

I think this should be a test task that check if the svg is optimized or not as per given configuration and fail the test. Doing the real svg optimization everytime test runs, does not look nice.
I filed this ticket in upstream https://github.com/svg/svgo/issues/905 (Provide a way to test an svg is optimized or not as per given configuration)

Change 409957 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] build: Bring SVGO optimization to build step

https://gerrit.wikimedia.org/r/409957

Change 409488 merged by jenkins-bot:
[mediawiki/extensions/GuidedTour@master] build: Bring SVGO optimization to build step

https://gerrit.wikimedia.org/r/409488

Change 407885 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] build: Bring SVGO optimization to build step

https://gerrit.wikimedia.org/r/407885

Volker_E updated the task description. (Show Details)Feb 23 2018, 8:40 PM

Change 410021 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] build: Bring SVGO optimization to build step

https://gerrit.wikimedia.org/r/410021

Volker_E updated the task description. (Show Details)Feb 28 2018, 3:11 PM
Volker_E updated the task description. (Show Details)May 13 2018, 10:42 PM

Change 432940 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/TwoColConflict@master] build: Extend 'svgmin' options and move to 'minify' task

https://gerrit.wikimedia.org/r/432940

Change 433123 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Kartographer@master] build: Extend 'svgmin' options and amend

https://gerrit.wikimedia.org/r/433123

Change 433124 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Echo@master] build: Extend 'svgmin' options and move to 'minify' task

https://gerrit.wikimedia.org/r/433124

Change 433496 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] build: Amend 'grunt-svgmin' options and re-crush SVGs

https://gerrit.wikimedia.org/r/433496

Change 433497 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[VisualEditor/VisualEditor@master] build: Extend 'svgmin' options and amend

https://gerrit.wikimedia.org/r/433497

Change 433497 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] build: Extend 'svgmin' options and amend

https://gerrit.wikimedia.org/r/433497

Change 433123 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] build: Extend 'svgmin' options and amend

https://gerrit.wikimedia.org/r/433123

Change 433553 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (a0dcb393b)

https://gerrit.wikimedia.org/r/433553

Change 433553 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (1d341ca7d)

https://gerrit.wikimedia.org/r/433553

Change 432940 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] build: Extend 'svgmin' options and move to 'minify' task

https://gerrit.wikimedia.org/r/432940

Change 409976 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] build: Bring SVGO optimization to build step

https://gerrit.wikimedia.org/r/409976

Volker_E updated the task description. (Show Details)May 19 2018, 11:09 AM
Volker_E updated the task description. (Show Details)May 19 2018, 1:08 PM

Change 433496 merged by jenkins-bot:
[oojs/ui@master] build: Amend 'grunt-svgmin' options and re-crush SVGs

https://gerrit.wikimedia.org/r/433496

Change 410026 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] build: Bring SVGO optimization to build step

https://gerrit.wikimedia.org/r/410026

Volker_E updated the task description. (Show Details)May 20 2018, 9:44 AM

Change 433124 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] build: Extend 'svgmin' options and move to 'minify' task

https://gerrit.wikimedia.org/r/433124

ovasileva lowered the priority of this task from Medium to Low.Aug 7 2018, 4:47 PM
ovasileva added a subscriber: ovasileva.

marking as low priority for code review to distinguish from higher priority tasks

Change 410019 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] build: Bring SVGO optimization to build step

https://gerrit.wikimedia.org/r/410019

Change 451322 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/extensions/Popups@master] Fix: capitalization of viewBox in cog.svg

https://gerrit.wikimedia.org/r/451322

Change 451322 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Fix: viewBox in cog.svg and sad-face.svg

https://gerrit.wikimedia.org/r/451322

Volker_E closed this task as Resolved.Aug 8 2018, 3:39 PM

Hooray!

Volker_E raised the priority of this task from Low to Medium.Aug 8 2018, 3:40 PM
Volker_E removed a project: Patch-For-Review.
Volker_E moved this task from Inbox to Done on the Front-end-Standards-Group board.
Volker_E removed a subscriber: gerritbot.